/*  Copyright 2010-2011 Guillaume Duhamel

    This file is part of Gophrier.

    Gophrier is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Gophrier is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Gophrier; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
*/

#include "map.h"
#include "sock.h"
#include "request.h"

#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <unistd.h>

static void map_close(Request * request);

void map_parse(Request * request)
{
    FILE * map;
    char buffer[1024];

    map = fopen(request->fullpath, "r");
    while(fgets(buffer, 1024, map))
        request_send(request, buffer, strlen(buffer));
    fclose(map);

    map_close(request);
}

static void map_close(Request * request)
{
    request_send(request, ".\r\n", 3);
    close(request->sock->fd);
}
